Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Get Certificate Operation - Get Certificate Operation
- Service:
- Key Vault
- API Version:
- 2025-07-01
Gets the creation operation of a certificate.
Gets the creation operation associated with a specified certificate. This operation requires the certificates/get permission.
GET {vaultBaseUrl}/certificates/{certificate-name}/pending?api-version=2025-07-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
certificate-name
|
path | True |
string |
The name of the certificate. |
|
vaultBaseUrl
|
path | True |
string (uri) |
|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://vault.azure.net/.default |
Examples
GetCertificateOperation
Sample request
GET https://myvault.vault.azure.net//certificates/selfSignedCert01/pending?api-version=2025-07-01
Sample response
- Status code:
- 200
{
"id": "https://myvault.vault.azure.net/certificates/selfSignedCert01/pending",
"issuer": {
"name": "Self"
},
"csr": "MIIC4zCCAcsCAQAwGjEYMBYGA1UEAwwPKi5taWNyb3NvZnQuY29tMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAqe8aINnShK+wQC8QU7fwsviQc9+yiOnqU3adXA6qNjn21HTdRBa7cyQIk1STxHIBLTT/GaEJwqsUi6UvZaPEHokOWsr1bP9M7xOPTicBcRyMrr6bOxsmGczYtu1z2TzzXDD7q7IEignE7/LowGEaIADCIU9iuWk7TiJ+1Q/VLh/B3xPsgVjY+n7zEQ53gBiDHSl7XfELfwmslOQ28TVNogUyXsxHcVxQQYJeI7HqqY448LeleK69Ld86lkBixLEm1pD7HSbEx3WI2lyUQAGR6hD3YFaiIWVpQeEyI7p1jmtQlnfZdEL4q9wdlEEcwd3h3PAZpEBhCixahF54fci3pwIDAQABoIGDMIGABgkqhkiG9w0BCQ4xczBxMA4GA1UdDwEB/wQEAwIFoDAdBgNVHSUEFjAUBggrBgEFBQcDAQYIKwYBBQUHAwIwNQYDVR0RBC4wLIIWb25lZHJpdmUubWljcm9zb2Z0LmNvbYISeGJveC5taWNyb3NvZnQuY29tMAkGA1UdEwQCMAAwDQYJKoZIhvcNAQELBQADggEBACiLeghirF+yCuYGVUPDB3wKQJn2iLY1za9ncxCehIVqOkFK09AphzoxF6Yid90AKCaa/dT/Ohm7oTyVQ+YcZnT00LUNFVG48AOE8YDiw9tjAG9OORsAz80xnv2qaLw2TCVIQ6NjrI83LqAm1GJ8rAnpdD/ZTuWM7TvSO5g/jm/Q0oSuKpMgj3YxpwgB9Ac6YEfVzOnm76OkUcpvR5MS4BoTfRv4thdSnU+uwqxM+HtdSVTbHQeC2U/hM1cyzDMpl1rZRklmiEOoPUeDasEIBVTJhAxR8xAeKJJD7Wzj4mJPw4UMvF8zQZzW8EKYvB1hkVYY+HQ85L+XcXd8lco7hU4=",
"cancellation_requested": false,
"status": "inProgress",
"status_details": "Pending certificate created. Certificate request is in progress. This may take some time based on the issuer provider. Please check again later.",
"request_id": "6faacd568ab049a2803861e8dd3ae21f"
}
Definitions
| Name | Description |
|---|---|
| CertificateOperation |
A certificate operation is returned in case of asynchronous requests. |
| Error | |
| IssuerParameters |
Parameters for the issuer of the X509 component of a certificate. |
| KeyVaultError |
The key vault error exception. |
CertificateOperation
A certificate operation is returned in case of asynchronous requests.
| Name | Type | Description |
|---|---|---|
| cancellation_requested |
boolean |
Indicates if cancellation was requested on the certificate operation. |
| csr |
string (byte) |
The certificate signing request (CSR) that is being used in the certificate operation. |
| error |
Error encountered, if any, during the certificate operation. |
|
| id |
string |
The certificate id. |
| issuer |
Parameters for the issuer of the X509 component of a certificate. |
|
| preserveCertOrder |
boolean |
Specifies whether the certificate chain preserves its original order. The default value is false, which sets the leaf certificate at index 0. |
| request_id |
string |
Identifier for the certificate operation. |
| status |
string |
Status of the certificate operation. |
| status_details |
string |
The status details of the certificate operation. |
| target |
string |
Location which contains the result of the certificate operation. |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| innererror |
The key vault server error. |
|
| message |
string |
The error message. |
IssuerParameters
Parameters for the issuer of the X509 component of a certificate.
| Name | Type | Description |
|---|---|---|
| cert_transparency |
boolean |
Indicates if the certificates generated under this policy should be published to certificate transparency logs. |
| cty |
string |
Certificate type as supported by the provider (optional); for example 'OV-SSL', 'EV-SSL' |
| name |
string |
Name of the referenced issuer object or reserved names; for example, 'Self' or 'Unknown'. |
KeyVaultError
The key vault error exception.
| Name | Type | Description |
|---|---|---|
| error |
The key vault server error. |
